Package org.eclipse.microprofile.config.tck.converters.implicit

## Enum SomeEnumToConvert

- java.lang.Object
- - java.lang.Enum<SomeEnumToConvert>
  - - org.eclipse.microprofile.config.tck.converters.implicit.SomeEnumToConvert

All Implemented Interfaces:
  `Serializable`, `Comparable<SomeEnumToConvert>`

    public enum SomeEnumToConvert
    extends Enum<SomeEnumToConvert>

Sample enum to test implicit Converter Rules

Author:
  Mark Struberg

### Enum Constant Summary

Enum Constants
`BAR`
`BAZ`
`FOO`

### Method Summary

All Methods Static Methods Concrete Methods
`static SomeEnumToConvert` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SomeEnumToConvert[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FOO

    public static final SomeEnumToConvert FOO

#### BAR

    public static final SomeEnumToConvert BAR

#### BAZ

    public static final SomeEnumToConvert BAZ

### Method Detail

#### values

    public static SomeEnumToConvert[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SomeEnumToConvert c : SomeEnumToConvert.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SomeEnumToConvert valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null